<template>
  <div class="m-container">
    <h2>
      <div class="squrt"></div>评论管理
    </h2>
    <div class="m-core">
      <el-tabs v-model.trim="activeIndex" type="card" @tab-click="handleClick">
        <el-tab-pane label="月报" name="1" >
          <evaluateList v-if="activeIndex == 1"></evaluateList>
        </el-tab-pane>
        <el-tab-pane label="网管课评价" name="2">
          <networkList  v-if="activeIndex == 2"></networkList>
        </el-tab-pane>
      </el-tabs>
    </div>
  </div>
</template>
<script>
import evaluateList from "@/views/evaluateManager/evaluateList";
import networkList from '@/views/evaluateManager/networkList'
export default {
  components: {
    evaluateList,
    networkList
  },
  data() {
    return {
      activeIndex: "1"
    };
  },
  created(){
    this.init();
  },
  activated(){
    this.init();
  },
  methods: {
    init(){
      this.$route.query.activeIndex?this.activeIndex = this.$route.query.activeIndex:this.activeIndex;
    },
    handleClick() {}
  }
};
</script>
<style lang="scss" scoped>
</style>